---
schema_version: "1"
id: 70c9d1de4b5f14ceac19cf74cece5dc1517a16dc1f24c9781ebb81903eb1e60c
title: Revoke Data Cloud Access Tokens
collection: admin
version: current
locale: en-us
portal_url: https://docs.salesforce.com/admin/current/en-us/xcloud/264-0-0/remoteaccess_revoke_dc_token.md
canonical_url: https://help.salesforce.com/s/articleView?id=xcloud.remoteaccess_revoke_dc_token.htm&release=264.0.0&type=5
source_site: help.salesforce.com
content_type: documentation
content_hash: 298cd4c3282ba86686fa1a0aa29dd83ceff3c750aff6ccd280df1d9f67de49d9
description: Revoke a Data Cloud access token to remove client access to Salesforce Data Cloud data.
products:
  - Security
  - Cross Cloud
release: "264"
---
# Revoke Data Cloud Access Tokens

Revoke a Data Cloud access token to remove client access to Salesforce Data Cloud data.

### Required Editions

<table class="slds-table slds-table_bordered slds-max-medium-table_stacked slds-m-bottom_small edition"><colgroup><col></colgroup><tbody><tr class=""><td class="slds-cell-wrap" style="vertical-align:top;">Available in: All Editions</td></tr></tbody></table>

Use the `/revoke` endpoint to invalidate a previously issued Data Cloud access token. This API endpoint uses a `POST` request to revoke the token. The request body must include the token you want to revoke as a required parameter named `token`.

**Endpoint URL**

```

https://{datacloud_instance_url}/services/a360/revoke
```

**Request Headers**

- `Authorization`: A valid Data Cloud Token. This can be the token you are revokeing or another authorized token.
- `Content-Type`: Must be `'application/x-www-form-urlencoded`.

**Request Body**

- `token`: A string identifying the token to be revoked.

**Example curl Request**

This curl command shows and example of how to revoke a Data Cloud access token:

```

curl -X POST "https://{datacloud_instance_url}/services/a360/revoke" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Authorization: Bearer {valid_token}" \
-d "token={datacloud_access_token_to_revoke}"
   
```

## Response Codes

The API returns a response code to indicate the result of the request. It returns the response body in `application/json` format.

<table class="slds-table slds-table_bordered slds-max-medium-table_stacked slds-m-bottom_small ">
        <colgroup>
          <col style="width:33.33333333333333%">
          <col style="width:33.33333333333333%">
          <col style="width:33.33333333333333%">
        </colgroup>
        <thead class="slds-text-title_caps ">
          <tr class="">
            <th scope="col" class="slds-cell-wrap" style="vertical-align:top;" id="d37105e130">Status code</th>
            <th scope="col" class="slds-cell-wrap" style="vertical-align:top;" id="d37105e133">Description</th>
            <th scope="col" class="slds-cell-wrap" style="vertical-align:top;" id="d37105e136">Example</th>
          </tr>
        </thead>
        <tbody>
          <tr class="">
            <td data-label="Status code" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e130 ">200 OK</td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e133 ">The token was successfully revoked or was invalid. This response is returned even if
              the token was unknown to the server.</td>

            <td data-label="Example" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e136 "> "Token revoked successfully" </td>

          </tr>
          <tr class="">
            <td data-label="Status code" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e130 ">400 Bad Request</td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e133 ">The request was malformed or invalid. The API returns an error description, such as a
              missing token parameter.</td>

            <td data-label="Example" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e136 ">
              <pre class="line-numbers slds-box slds-box_x-small slds-theme_shade slds-m-top_medium slds-m-bottom_medium slds-scrollable_x"><code>{
 "error": "invalid_request", 
"error_description": "The provided token is malformed or improperly encoded."
 } </code></pre>
            </td>

          </tr>
          <tr class="">
            <td data-label="Status code" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e130 ">401 Unauthorized</td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e133 ">The authenticated client is not authorized to revoke the token.</td>

            <td data-label="Example" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e136 ">
              <pre class="line-numbers slds-box slds-box_x-small slds-theme_shade slds-m-top_medium slds-m-bottom_medium slds-scrollable_x"><code>{ 
"error": "unauthorized_client", 
"error_description": "The authenticated client is not authorized to revoke the token"
 } </code></pre>
            </td>

          </tr>
          <tr class="">
            <td data-label="Status code" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e130 ">503 Service Unavailable</td>

            <td data-label="Description" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e133 ">The server is temporarily unable to handle the request. Try again later.</td>

            <td data-label="Example" class="slds-cell-wrap" style="vertical-align:top;" headers="d37105e136 ">
              <pre class="line-numbers slds-box slds-box_x-small slds-theme_shade slds-m-top_medium slds-m-bottom_medium slds-scrollable_x"><code>{ 
"error": "service_unavailable", 
"error_description": "The service is temporarily unavailable. Please retry later."
 } </code></pre>
            </td>

          </tr>
        </tbody>
      </table>